"options": {
"protractorConfig": "e2e/protractor.conf.js",
"devServerTarget": "PeerTube:serve:e2e"
+ },
+ "configurations": {
+ "local": {
+ "protractorConfig": "e2e/local-protractor.conf.js"
+ }
}
},
"lint": {
--- /dev/null
+// Protractor configuration file, see link for more information
+// https://github.com/angular/protractor/blob/master/lib/config.ts
+
+const {SpecReporter} = require('jasmine-spec-reporter')
+
+exports.config = {
+ allScriptsTimeout: 25000,
+ specs: ['./src/**/*.e2e-spec.ts'],
+
+ seleniumAddress: 'http://localhost:4444/wd/hub',
+
+ capabilities: {
+ 'browserName': 'firefox',
+ 'moz:firefoxOptions': {
+ 'args': ["-headless"],
+ "log": {
+ "level": "info" // default is "info"
+ }
+ }
+ },
+
+ // maxSessions: 1,
+ baseUrl: 'http://localhost:3333/',
+ framework: 'jasmine',
+ jasmineNodeOpts: {
+ showColors: true,
+ defaultTimeoutInterval: 45000,
+ print: function() {}
+ },
+
+ onPrepare() {
+ require('ts-node').register({
+ project: require('path').join(__dirname, './tsconfig.e2e.json')
+ })
+ jasmine.getEnv().addReporter(new SpecReporter({ spec: { displayStacktrace: true } }))
+ }
+}
"typings": "*.d.ts",
"scripts": {
"e2e": "scripty",
+ "e2e:local": "scripty",
"build": "SCRIPTY_PARALLEL=true scripty",
"build:server": "scripty",
"build:client": "scripty",
+++ /dev/null
-#!/bin/sh
-
-set -eu
-
-npm run clean:server:test
-
-(
- cd client
- npm run webdriver-manager update
- npm run webpack -- --config webpack/webpack.video-embed.js --mode development
-)
-
-npm run concurrently -- -k -s first \
- "cd client && npm run ng -- e2e --port 3333" \
- "NODE_ENV=test NODE_APP_INSTANCE=1 NODE_CONFIG='{ \"log\": { \"level\": \"warning\" } }' npm start"
-
--- /dev/null
+#!/bin/sh
+
+set -eu
+
+npm run clean:server:test
+
+(
+ cd client
+ npm run webdriver-manager update
+ npm run webpack -- --config webpack/webpack.video-embed.js --mode development
+)
+
+npm run concurrently -- -k -s first \
+ "cd client && npm run ng -- e2e --port 3333" \
+ "NODE_ENV=test NODE_APP_INSTANCE=1 NODE_CONFIG='{ \"log\": { \"level\": \"warning\" } }' npm start"
--- /dev/null
+#!/bin/sh
+
+set -eu
+
+npm run clean:server:test
+
+(
+ cd client
+ npm run webdriver-manager update
+ npm run webpack -- --config webpack/webpack.video-embed.js --mode development
+)
+
+npm run concurrently -- -k -s first \
+ "cd client && npm run webdriver-manager start" \
+ "cd client && npm run ng -- e2e --port 3333 -c local" \
+ "NODE_ENV=test NODE_APP_INSTANCE=1 NODE_CONFIG='{ \"log\": { \"level\": \"warning\" } }' npm start"